Loading...
Searching...
No Matches
__ktrace-impl.h File Reference
Base API » Fiasco extensions

L4 kernel event tracing. More...

`#include <l4/sys/types.h>`
`#include <l4/sys/kdebug.h>`
Include dependency graph for __ktrace-impl.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

l4_umword_t | fiasco_tbuf_log (const char *text)
| Create new trace-buffer entry with describing <text>.
l4_umword_t | fiasco_tbuf_log_3val (const char *text, l4_umword_t v1, l4_umword_t v2, l4_umword_t v3)
| Create new trace-buffer entry with describing <text> and three additional values.
void | fiasco_tbuf_clear (void)
| Clear trace-buffer.
void | fiasco_tbuf_dump (void)
| Dump trace-buffer to kernel console.
l4_umword_t | fiasco_tbuf_log_binary (const unsigned char *data)
| Create new trace-buffer entry with binary data.

## Detailed Description

L4 kernel event tracing.

Definition in file __ktrace-impl.h.